Subject: CJK System

From: [email-masked]
Date: 15 Nov 93 12:18:00 -0800

I have received several inquiries about CJK OPAC within the last two
    weeks and saw two more from EASTLIB.  Being one of the persons who has
    used the CJK OPAC produced by Innovative Interface Inc. (III) for
    almost three years, I would like to offer those interested some of my
    personal experience.  I am glad that the Oregon experience will be
    published in CEAL Bulletin.  What follow is not a report on the UCSD
    Libraries' CJK experience but to offer my personal speculation on the
    future of CJK computing in American libraries.  Please note that my
    opinion does not necessarily reflect that of III or the UCSD Libraries.

    The III system has modules for acquisitions, circulation, cataloging,
    OPAC and some other functions.  About three years ago, III enhanced
    their OPAC with CJK capability, the capability to display CJK
    characters.

    The changed component that interests CJK users in particular is the
    PC-based terminal where the character fonts and input methods reside.
    From this PC-based terminal (we will refer to this first III CJK
    terminal as the CCCII terminal), the user could see EACC characters in
    the III bibliographic records.  All CJK records had to be downloaded
    from a bibliographic utility such as OCLC CJK.  CJK records could not
    be created locally on the III system.  Other than displaying EACC
    characters, the CCCII terminal worked exactly like other III terminals.

    This implementation of an esoteric font involves costly technologies.
    A CCCII terminal costs several thousands dollars more than a regular
    PC.  Depending on the configuration, a CJK terminal cost about 8,000
    dollars in 1990.  UCSD installed only one such CCCII terminal for its
    CJK OPAC at the beginning due to this high price.  Soon afterward, III
    introduced another PC-based terminal emulator that cost only several
    hundred dollars over the price of a regular PC, i.e. about $2,000 per
    terminal.  The new "CJK" terminal which I shall dub the E-terminal
    displayed no Korean hangul, and lacked some Chinese characters in the
    EACC set.  While the E-terminal had an attractive price and met the
    requirements of users in Hong Kong and Taiwan, it created an erroneous
    impression among the uninitiated American users: namely, that the III
    system could not handle J and K.  The fact was that III CJK has a full
    CJK character set in the CCCII terminal.

    The CCCII terminal had another drawback in addition to higher price: it
    required a set of EPROM cards to be plugged into the expansion slots of
    the PC.  These cards are cumbersome to install and maintain.  The
    E-terminal required only software installation and is much easier to
    maintain.

    In the early months of the III CJK OPAC, all CJK records had to be
    downloaded from OCLC CJK.  The III technical modules could not display
    CJK characters on the screen or accept CJK data from the keyboard. CJK
    records could not be revised locally.  Neither could CJK records be
    created on the local system.  In 1993, III enhanced the rest of the
    system's modules with CJK capabilities.   The technical module can
    print book order forms from a printer attached to a CJK terminal.
    The printing is practical because the system can now accept CJK input
    from the keyboard.  Users can input characters into specific fields
    within MARC records and use CJK characters as search arguments --
    providing the user knows the input methods built into the CCCII or E
    terminal.

    Both the CCCII-terminal and E-terminal had Chinese-oriented input
    methods.  Hanja and Kanji can be entered only by using the Changje
    (a.k.a.  Tsang-Chieh) and various mandarin phonetic methods.  These
    methods (popular in Taiwan) are not necessarily familiar to J and K
    users in America.  My personal opinion is that Japanese and Korean
    input methods should be added in the future.  The technology is there.
    The issue is demand and cost.

    As a user of III, I am very happy with the III system.  It is easy to
    learn.  On the few occasions that I was in contact with III's technical
    staff, I found them to be most knowledgeable in CJK matters and
    friendly to work with.  People interested in the system, (particularly
    the price), should contact III, directly.   Of the two CJK local
    systems marketed by American companies: III and Dynix, I have seen only
    the non-CJK OPAC of Dynix and cannot comment on their CJK features.

    Implementing CJK capability on a bibliographic system require high cost
    of software and hardware development. Up to now, all CJK systems in
    America has been custom built.  The cost has been very high.  A good
    CJK terminal, such as those used by RLIN, OCLC and the CCCII terminal
    still cost some $8,000 today in November 1993.  Except the PC, software
    and hardware cannot be acquired from popular computer outlets in Asia
    or America.  They have to be purchased directly from the
    system vendor.  They are costly to maintain due to the small number of
    users.

    A low cost generic CJK terminal would be very conducsive to
    development of CJK systems.  Such a terminal has been very difficult to
    obtain in the past but is imminently easy now.  A couple of companies
    in Taiwan are about to release their soft CJK terminals -- software
    that can make a regular PC into a generic CJK terminal.  Since these
    are software versions and there will be more than one manufacturer, the
    price could drop rapidly due to competition.  After seeing one of the
    two under a non-disclosure agreement, I believe both could be useful
    for American system to develop CJK enhancement.  The year of 1994 may
    well be a breakthrough year for low cost CJK and script-language
    computing.

    This is a brief response to the inquiries and I hope the above overview
    and comments will initiate further discussions.